手机版
你好,游客 登录 注册
背景:
阅读新闻

Mozilla修复旧版Firefox插件bug,专用扩展现可用于Firefox 52-56

[日期:2019-05-14] 来源:Linux公社  作者:醉落红尘 [字体: ]

Mozilla发布了一个官方补丁,解决了老版本Firefox浏览器的一个插件问题。

5月初,一个过期的证书对Firefox用户造成了严重破坏,因为它禁用了浏览器中的扩展,并阻止用户安装新的附加组件。

Mozilla推出了更新版本的Firefox来解决这个问题,其中包括Firefox 66.0.4和Firefox 66.0.5,并承诺对较老版本的浏览器也进行单独修复。

这个补丁现在可以作为Firefox 52-56的专用插件(称为禁用插件补丁)使用,并且可以使用这个页面从Mozilla安装它。

Mozilla修复旧版Firefox插件bug,专用扩展现可用于Firefox 52-56

正如扩展的描述所示,只要安装它,就可以通过在浏览器中部署新的安全证书来解决这个问题。

2019年5月3日,过期的安全证书阻止了现有和新插件在Firefox中运行或安装。给您带来不便,我们深表歉意。这个扩展将安装一个新的安全证书,并重新启用Firefox 52到56版本的扩展和主题。

“如果你安装了这个扩展,然后升级到支持的Firefox版本,请卸载这个扩展,因为它可能不兼容更新的版本。”

Firefox 57 - 65的独立补丁也在开发中

同样的扩展也可以用于解决其他基于firefox的浏览器中的问题,例如Waterfox。

目前,Firefox的57到65版本还没有收到这个插件补丁,但Mozilla之前表示,针对这些版本的补丁也在开发中。

Mozilla上周表示,将删除从Firefox用户那里收集的所有遥测数据。此前,该公司要求用户进入其研究项目,接受紧急修复。该公司透露,其对该插件错误的调查仍在进行中,在分析得出结论后,将在未来的某个时间分享更多细节。

相关:

Mozilla证书过期导致全球Firefox用户无法使用扩展  https://www.linuxidc.com/Linux/2019-05/158481.htm

Firefox 66.0.4  发布,解决由于证书过期而导致的插件损坏问题  https://www.linuxidc.com/Linux/2019-05/158504.htm

Firefox 66.0.5发布,包含针对扩展Bug的更多修复 https://www.linuxidc.com/Linux/2019-05/158584.htm

由于证书问题,Mozilla延迟Firefox 67推出  https://www.linuxidc.com/Linux/2019-05/158576.htm

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-05/158675.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款